Форум - главная Советы бывалого "чайника" - архив
==========================================
 
 КаталогКаталог   ПоискПоиск   ФотоальбомФотоальбом   Интернет-магазинИнтернет-магазин 
 ПользователиПользователи   ВходВход 

Два подключения GPRS в Dreambox! Кнопкой с пульта!!!

 
Начать новую тему   Ответить на тему    Список форумов Советы бывалого "чайника" - архив -> РЕСИВЕРЫ
Предыдущая тема :: Следующая тема  
Автор Сообщение
strive
модератор


Зарегистрирован: 18.11.2004
Сообщения: 227
Откуда: 55°52'N 48°42'E

СообщениеДобавлено: Пн Май 08, 2006 7:36 am    Заголовок сообщения: Два подключения GPRS в Dreambox! Кнопкой с пульта!!! Ответить с цитатой

BNX
Не подскажешь, думаю ты разбираешься как это устроено?
В дриме 500 с имиджем от спектра есть плагины, список которых можно вызвать нажатием желтой кнопки.
Среди них есть "GPRS Connect" и "GPRS Disconnect" .
Собственно, вопрос. Можно ли добавить в этот список еще одну строку, скажем, "GPRS Connect 2",
которая устанавливала бы соединение с параметрами, взятыми из другого файла?
Тогда можно было бы в одном файле настроек прописать настройки, например, на Билайн,
а в другом - на МТС.
Вернуться к началу
Посмотреть профиль Отправить личное сообщение
strive
модератор


Зарегистрирован: 18.11.2004
Сообщения: 227
Откуда: 55°52'N 48°42'E

СообщениеДобавлено: Пн Май 08, 2006 7:43 am    Заголовок сообщения: Ответить с цитатой

И попутно еще один вопрос.
Допустим, я хочу чтобы после запуска дрима сразу устанавливалось gprs-соединение
с определенным провайдером, а при дисконнекте сразу же автоматически заново устанавливался бы новый коннект.
Я так понимаю, что для этого нужно написать скрипт, в котором в цикле вызывалась бы команда
Код:
/var/bin/pppd call gprs-siem

В какой каталог нужно разместить такой скрипт, чтобы он запустился при старте дрима
и при этом не подвесил бы его (завершения работы этого скрипта ведь не будет)?
Или здесь нужно поступить как-то по-другому?
Вернуться к началу
Посмотреть профиль Отправить личное сообщение
BNX
модератор


Зарегистрирован: 25.04.2005
Сообщения: 1387
Откуда: Astana KZ (51,18N 71,42E)

СообщениеДобавлено: Пн Май 08, 2006 9:05 am    Заголовок сообщения: Ответить с цитатой

Блин, сложно это для меня. краснею... Посмотрел - исходников нет. В принципе ничего особенно сложного нет, но ИМХО, надо бы плагин (/var/tuxbox/plugin/gprs*.so) разобрать бы.
Пункт в меню добавить достаточно просто - файлы gprsconnect.cfg и gprsdisconnect.cfg скопировать с именами, к примеру gprsconnect2.cfg и gprsdisconnect2.cfg и сделать в них правки Name = GPRS Connect 2 к примеру. А вот как объяснить плагину, что надо другой gprs_script.sh использовать ??? надо подумать...
По идее - по любому надо сам плагин в исходниках чуть поправить. Сделать выбор соединения в меню, к примеру.

Самое простое - обратись к самим Спектровцам, они вродь мужики не выпендрежные, может и сделают, либо хоть исходнички подбросят. надо подумать...
Вот мыло: Dreambox Service <dreambox@spektr-tv.ru>

Скрипт на автозапуск в /etc/init.d/
В принципе можно и так например:
/etc/init.d/gprs_start.sh
Цитата:

/var/bin/pppd call gprs-siem

Тогда /var/script/gprs_script.sh малость подправить:
было
Цитата:
#!/bin/sh
# This is pached inadyn startup script for GPRS dial out script
# 20.09.2005 by http://www.spektr-tv.ru
# 08.10.2005 Fixed Drop ppp session
#

DEVICE=ppp0
set -e

case "$1" in
start)
/var/bin/pppd call gprs-siem &
exit 0
;;
stop)
if [ -r /var/run/$DEVICE.pid ]; then
kill -INT `cat /var/run/$DEVICE.pid`

if [ ! "$?" = "0" ]; then
rm -f /var/run/$DEVICE.pid
echo "ERROR: Removed stale pid file"
exit 1
fi
echo "PPP link to $DEVICE terminated."
exit 0
fi


rm -f /var/lock/LCK*
exit 0
;;
*)
echo "Usage: $0 {start|stop}"
exit 1
;;
esac

exit 0


Стало
Цитата:
#!/bin/sh
# This is pached inadyn startup script for GPRS dial out script
# 20.09.2005 by http://www.spektr-tv.ru
# 08.10.2005 Fixed Drop ppp session
#

DEVICE=ppp0
set -e

case "$1" in
start)
if [ -r /var/run/$DEVICE.pid ]; then
kill -INT `cat /var/run/$DEVICE.pid`

if [ ! "$?" = "0" ]; then
rm -f /var/run/$DEVICE.pid
echo "ERROR: Removed stale pid file"
exit 1
fi
echo "PPP link to $DEVICE terminated."

#то бишь перед стартом убиваем предыдущее соединение

/var/bin/pppd call gprs-siem &
exit 0
;;
stop)
if [ -r /var/run/$DEVICE.pid ]; then
kill -INT `cat /var/run/$DEVICE.pid`

if [ ! "$?" = "0" ]; then
rm -f /var/run/$DEVICE.pid
echo "ERROR: Removed stale pid file"
exit 1
fi
echo "PPP link to $DEVICE terminated."
exit 0
fi


rm -f /var/lock/LCK*
exit 0
;;
*)
echo "Usage: $0 {start|stop}"
exit 1
;;
esac

exit 0


Попробуй так. надо подумать... А я пока покопаюсь на досуге еще. краснею...
Вернуться к началу
Посмотреть профиль Отправить личное сообщение Год регистрации
strive
модератор


Зарегистрирован: 18.11.2004
Сообщения: 227
Откуда: 55°52'N 48°42'E

СообщениеДобавлено: Пн Май 08, 2006 8:06 pm    Заголовок сообщения: Ответить с цитатой

BNX, спасибо большое за подсказку. К Спектровцам обращаться не пришлось. Сделал так.

/var/tuxbox/plugins/
Скопировал gprsconnect.cfg в gprsconnect2.cfg и gprsconnect.so в gprsconnect2.so.
В gprsconnect.cfg прописал name=Connect Beeline, в gprsconnect2.cfg - name=Connect MTS
В шестнадцатеричном редакторе пропатчил gprsconnect2.so -
в двух местах исправил /var/script/gprs_script.sh на /var/script/gprs_scrip2.sh.

/var/script/
Скопировал gprs_script.sh в gprs_scrip2.sh.
В gprs_scrip2.sh исправил /var/bin/pppd call gprs-siem на /var/bin/pppd call gprs-siem-mts.

/var/etc/ppp/peers/
Скопировал gprs-siem в gprs-siem-mts.
В gprs-siem-mts исправил name beeline на name mts.
В нем же исправил connect "/var/bin/chat -f /etc/ppp/chat/gprs-siem-connect-chat"
на connect "/var/bin/chat -f /etc/ppp/chat/gprs-siem-mts-connect-chat".

/var/etc/ppp/chat/
Скопировал gprs-siem-connect-chat в gprs-siem-mts-connect-chat.
В gprs-siem-mts-connect-chat исправил
AT+CGDCONT=1,"IP","internet.beeline.ru" на AT+CGDCONT=1,"IP","internet.mts.ru".

Все. Теперь выбор провайдера осуществляется просто в списке плагинов.

А вот с автоподключением при загрузке дрима не получилось огорчение
Область /etc/init.d/ только для чтения, ничего там исправить и создать не получается.
Вернуться к началу
Посмотреть профиль Отправить личное сообщение
BNX
модератор


Зарегистрирован: 25.04.2005
Сообщения: 1387
Откуда: Astana KZ (51,18N 71,42E)

СообщениеДобавлено: Пн Май 08, 2006 8:30 pm    Заголовок сообщения: Ответить с цитатой

Рад что смог помочь. краснею...
Потихоньку - поманеньку надо имиджи самим компилять - имхо. Вот все руки не доходят засесть... огорчение Тоды и init.d порвем ... широкая улыбка
Вернуться к началу
Посмотреть профиль Отправить личное сообщение Год регистрации
Спок
админ


Зарегистрирован: 19.02.2005
Сообщения: 1718
Откуда: Omsk region 54.54.47 с.ш. 71.16.26 в.д.

СообщениеДобавлено: Пн Май 08, 2006 8:46 pm    Заголовок сообщения: Ответить с цитатой

strive респект тебе огромный!!!

Думаю все "жпэрэсовцы" должны снять шляпы... да!
_________________
Всем удачного приема!!!
Вернуться к началу
Посмотреть профиль Отправить личное сообщение Отправить e-mail
Показать сообщения:   
Начать новую тему   Ответить на тему    Список форумов Советы бывалого "чайника" - архив -> РЕСИВЕРЫ Часовой пояс: GMT + 3
Страница 1 из 1

 
Перейти:  
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете голосовать в опросах


Powered by phpBB © 2001, 2005 phpBB Group
All right reserved by Alyno ® 2004-2006